Description: use pyflakes3 insteam of pyflakes
 The debian package for pyflakes provides it as /usr/bin/pyflakes3, not
 /usr/bin/pyflakes.
Author: Joseph Nahmias <joe@nahmias.net>
Origin: vendor
Forwarded: not-needed
Last-Update: 2023-01-30
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/diff_cover/violationsreporters/violations_reporter.py
+++ b/diff_cover/violationsreporters/violations_reporter.py
@@ -465,12 +465,12 @@
 pyflakes_driver = RegexBasedDriver(
     name="pyflakes",
     supported_extensions=["py"],
-    command=["pyflakes"],
+    command=["pyflakes3"],
     # Match lines of the form:
     # path/to/file.py:328: undefined name '_thing'
     # path/to/file.py:418: 'random' imported but unused
     expression=r"^([^:]+):(\d+):\d*:? (.*)$",
-    command_to_check_install=["pyflakes", "--version"],
+    command_to_check_install=["pyflakes3", "--version"],
     # pyflakes exit code is 1 if there are violations
     # https://github.com/PyCQA/pyflakes/blob/master/pyflakes/api.py#L211
     exit_codes=[0, 1],
